Bug 1286171 - Rebalance : Status lists failures on stopping rebalance while it is in progress
Rebalance : Status lists failures on stopping rebalance while it is in progress
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Nithya Balachandran
storage-qa-internal@redhat.com
dht-rebalance-usability, dht-rca-unknown
: ZStream
: 1286172 (view as bug list)
Depends On: 1034173
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 07:14 EST by Susant Kumar Palai
Modified: 2017-08-30 04:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1034173
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Nithya Balachandran 2016-01-19 09:51:46 EST
*** Bug 1286172 has been marked as a duplicate of this bug. ***
Comment 3 Nithya Balachandran 2017-08-11 05:15:00 EDT
Still exists in the latest code:

[2017-08-11 09:08:58.109896] I [MSGID: 109029] [dht-rebalance.c:5186:gf_defrag_stop] 0-: Received stop command on rebalance
[2017-08-11 09:08:58.110144] I [MSGID: 109028] [dht-rebalance.c:5000:gf_defrag_status_get] 0-glusterfs: Rebalance is stopped. Time taken is 45.00 secs
[2017-08-11 09:08:58.110193] I [MSGID: 109028] [dht-rebalance.c:5004:gf_defrag_status_get] 0-glusterfs: Files migrated: 0, size: 0, lookups: 1181, failures: 0, skipped: 106
[2017-08-11 09:08:58.118572] I [dht-rebalance.c:1513:dht_migrate_file] 0-vol1-dht: /dir-1/dir-2/dir-3/dir-4/dir-5/dir-6/dir-7/dir-8/dir-9/dir-10/dir-11/dir-12/dir-13/dir-14/dir-15/dir-16/dir-17/dir-18/dir-19/dir-20/dir-21/dir-22/file-17: attempting to move from vol1-client-2 to vol1-client-0
[2017-08-11 09:08:58.120142] I [dht-rebalance.c:3123:gf_defrag_process_dir] 0-vol1-dht: migrate data called on /dir-1/dir-2/dir-3/dir-4/dir-5/dir-6/dir-7/dir-8/dir-9/dir-10/dir-11/dir-12/dir-13/dir-14/dir-15/dir-16/dir-17/dir-18/dir-19/dir-20/dir-21/dir-22/dir-23/dir-24/dir-25/dir-26/dir-27
[2017-08-11 09:08:58.128104] W [dht-rebalance.c:3297:gf_defrag_process_dir] 0-vol1-dht: Found error from gf_defrag_get_entry
[2017-08-11 09:12:44.777354] E [MSGID: 109111] [dht-rebalance.c:3600:gf_defrag_fix_layout] 0-vol1-dht: gf_defrag_process_dir failed for directory: /dir-1/dir-2/dir-3/dir-4/dir-5/dir-6/dir-7/dir-8/dir-9/dir-10/dir-11/dir-12/dir-13/dir-14/dir-15/dir-16/dir-17/dir-18/dir-19/dir-20/dir-21/dir-22/dir-23/dir-24/dir-25/dir-26/dir-27

...

[2017-08-11 09:12:44.809059] E [MSGID: 109016] [dht-rebalance.c:3811:gf_defrag_fix_layout] 0-vol1-dht: Fix layout failed for /dir-1/dir-2/dir-3/dir-4/dir-5/dir-6/dir-7/dir-8/dir-9/dir-10/dir-11/dir-12/dir-13/dir-14/dir-15/dir-16/dir-17/dir-18/dir-19/dir-20/dir-21/dir-22/dir-23/dir-24/dir-25/dir-26/dir-27
[2017-08-11 09:12:44.809158] E [MSGID: 109016] [dht-rebalance.c:3811:gf_defrag_fix_layout] 0-vol1-dht: Fix layout failed for /dir-1/dir-2/dir-3/dir-4/dir-5/dir-6/dir-7/dir-8/dir-9/dir-10/dir-11/dir-12/dir-13/dir-14/dir-15/dir-16/dir-17/dir-18/dir-19/dir-20/dir-21/dir-22/dir-23/dir-24/dir-25/dir-26

Note You need to log in before you can comment on or make changes to this bug.